Bug 821182 - SELinux is preventing /usr/bin/numad from 'read' accesses on the directory cpu.
SELinux is preventing /usr/bin/numad from 'read' accesses on the directory cpu.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:f75bdc8f67ff5be74bc8e51393c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-12 17:10 EDT by Dominic Cleal
Modified: 2012-05-27 21:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-27 21:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Cleal 2012-05-12 17:10:29 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.4-5.fc17.x86_64
time:           Sat 12 May 2012 22:09:50 BST

description:
:SELinux is preventing /usr/bin/numad from 'read' accesses on the directory cpu.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that numad should be allowed read access on the cpu directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep numad /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:numad_t:s0
:Target Context                system_u:object_r:sysfs_t:s0
:Target Objects                cpu [ dir ]
:Source                        numad
:Source Path                   /usr/bin/numad
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           numad-0.5-3.20120221git.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-121.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.4-5.fc17.x86_64 #1 SMP Mon May 7
:                              17:29:34 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Sat 12 May 2012 22:05:11 BST
:Last Seen                     Sat 12 May 2012 22:05:11 BST
:Local ID                      0143acb0-0e13-4350-9f20-449beba922aa
:
:Raw Audit Messages
:type=AVC msg=audit(1336856711.420:146): avc:  denied  { read } for  pid=3003 comm="numad" name="cpu" dev="sysfs" ino=37 scontext=system_u:system_r:numad_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1336856711.420:146): arch=x86_64 syscall=openat success=yes exit=EINTR a0=ffffffffffffff9c a1=7f6770a062cd a2=90800 a3=0 items=0 ppid=1 pid=3003 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=numad exe=/usr/bin/numad subj=system_u:system_r:numad_t:s0 key=(null)
:
:Hash: numad,numad_t,sysfs_t,dir,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Dominic Cleal 2012-05-12 17:12:41 EDT
More related AVCs seen after the above one:

type=AVC msg=audit(1336856791.426:153): avc:  denied  { read } for  pid=3004 comm="numad" name="cpulist" dev="sysfs" ino=193 scontext=system_u:system_r:numad_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

type=AVC msg=audit(1336856791.426:153): avc:  denied  { open } for  pid=3004 comm="numad" name="cpulist" dev="sysfs" ino=193 scontext=system_u:system_r:numad_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

type=SYSCALL msg=audit(1336856791.426:153): arch=x86_64 syscall=open success=yes exit=0 a0=7fffbe63fb40 a1=0 a2=1b6 a3=238 items=0 ppid=1 pid=3004 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=numad exe=/usr/bin/numad subj=system_u:system_r:numad_t:s0 key=(null)



type=AVC msg=audit(1336856791.426:154): avc:  denied  { getattr } for  pid=3004 comm="numad" path="/sys/devices/system/node/node0/cpulist" dev="sysfs" ino=193 scontext=system_u:system_r:numad_t:s0 tcontext=system_u:object_r:sysfs_t:s0 tclass=file

type=SYSCALL msg=audit(1336856791.426:154): arch=x86_64 syscall=fstat success=yes exit=0 a0=0 a1=7fffbe63f9c0 a2=7fffbe63f9c0 a3=0 items=0 ppid=1 pid=3004 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=numad exe=/usr/bin/numad subj=system_u:system_r:numad_t:s0 key=(null)
Comment 2 Miroslav Grepl 2012-05-14 01:55:54 EDT
Fixed in selinux-policy-3.10.0-125.fc17
Comment 3 Fedora Update System 2012-05-17 05:04:07 EDT
selinux-policy-3.10.0-125.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
Comment 4 Fedora Update System 2012-05-17 18:57:58 EDT
Package selinux-policy-3.10.0-125.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-125.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7953/selinux-policy-3.10.0-125.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-05-27 21:20:32 EDT
selinux-policy-3.10.0-125.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.